///////////////////////////////////////////////////////////////////////////////
//
// Filename: FamilyTreeNode.java
//
// Author:   Robert Thornburrow
// Project:  FamilyTree
// Created:  20th May 2001
//
// Purpose:  Node for a FamilyTreeModel.
//
// (c) Copyright R.H.Thornburrow, 2001
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
//
///////////////////////////////////////////////////////////////////////////////

package com.tsac.familytree.gui;

import com.tsac.familytree.Person;

public class FamilyTreeNode
{
    public static final int NONE   = 0;
    public static final int MOTHER = 1;
    public static final int FATHER = 2;
    public static final int SPOUSE = 3;
    public static final int SIBLING = 4;

    private static final String[] _prefixes = { "", "M:", "F:", "HW:", "S:" };

    protected int kind;
    private String _text;
    public Person person;
    
    public FamilyTreeNode( int kind, Person person )
    {
        this.kind = kind;
        _text = _prefixes[kind] + person.getName();
        this.person = person;
    }
    
    public String toString()
    {
        return _text;
    }
}