///////////////////////////////////////////////////////////////////////////////
//
// Filename: FamilyTreeNodeRenderer.java
//
// Author:   Robert Thornburrow
// Project:  FamilyTree
// Created:  20th May 2001
//
// Purpose:  Swing Renderer for a FamilyTreeNode.
//
// (c) Copyright R.H.Thornburrow, 2001
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
//
///////////////////////////////////////////////////////////////////////////////

package com.tsac.familytree.gui;

import com.tsac.familytree.*;

import javax.swing.tree.*;
import javax.swing.*;
import java.awt.Component;
import java.awt.Color;

public class FamilyTreeNodeRenderer
    extends DefaultTreeCellRenderer
{
    public static final Icon maleIcon = new ImageIcon( ClassLoader.getSystemResource("male.gif") );
    public static final Icon femaleIcon = new ImageIcon( ClassLoader.getSystemResource("female.gif") );
    
    public Component getTreeCellRendererComponent( JTree tree, Object value, boolean selected, boolean expanded, boolean leaf, int row, boolean hasFocus )
    {
        FamilyTreeNode node = (FamilyTreeNode) value;
        FamilyTreeNodeRenderer renderer = (FamilyTreeNodeRenderer) super.getTreeCellRendererComponent( tree, value, selected, expanded, leaf, row, hasFocus );

        if( node.person instanceof Male )
            renderer.setIcon( maleIcon );
        else if( node.person instanceof Female )
            renderer.setIcon( femaleIcon );
            
        return renderer;
    }

}