///////////////////////////////////////////////////////////////////////////////
//
// Filename: SplashWindow.java
//
// Author:   Robert Thornburrow
// Project:  FamilyTree
// Created:  20th May 2001
//
// Purpose:  The Splash Screen.
//
// (c) Copyright R.H.Thornburrow, 2001
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
//
///////////////////////////////////////////////////////////////////////////////

package com.tsac.familytree.gui;

import java.awt.*;
import javax.swing.*;

public class SplashWindow
    extends javax.swing.JWindow
{
	public SplashWindow(Frame parent)
	{
		super(parent);
		
		// This code is automatically generated by Visual Cafe when you add
		// components to the visual environment. It instantiates and initializes
		// the components. To modify the code, only use code syntax that matches
		// what Visual Cafe can generate, or Visual Cafe may be unable to back
		// parse your Java file into its visual environment.
		//{{INIT_CONTROLS
		getContentPane().setLayout(new BorderLayout(0,0));
		setSize(384,128);
		setVisible(false);
		getContentPane().add(BorderLayout.CENTER,imgLbl);
		imgLbl.setBounds(0,0,384,128);
		//}}

		//{{REGISTER_LISTENERS
		SymWindow aSymWindow = new SymWindow();
		this.addWindowListener(aSymWindow);
		//}}
		
		imgLbl.setIcon( new ImageIcon(ClassLoader.getSystemResource("splash.gif")) );
	}

	public SplashWindow()
	{
		this((Frame)null);
	}

	public void setVisible(boolean b)
	{
		if (b)
		{
		    Dimension screen = Toolkit.getDefaultToolkit().getScreenSize();
			setLocation( (screen.width - 384)/2, (screen.height - 128)/2 );
		}
		super.setVisible(b);
	}

	static public void main(String args[])
	{
		(new SplashWindow()).setVisible(true);
	}

	public void addNotify()
	{
		// Record the size of the window prior to calling parents addNotify.
		Dimension size = getSize();

		super.addNotify();

		if (frameSizeAdjusted)
			return;
		frameSizeAdjusted = true;

		// Adjust size of frame according to the insets
		Insets insets = getInsets();
		setSize(insets.left + insets.right + size.width, insets.top + insets.bottom + size.height);
	}

	// Used by addNotify
	boolean frameSizeAdjusted = false;

	//{{DECLARE_CONTROLS
	javax.swing.JLabel imgLbl = new javax.swing.JLabel();
	//}}

	class SymWindow extends java.awt.event.WindowAdapter
	{
		public void windowClosing(java.awt.event.WindowEvent event)
		{
			Object object = event.getSource();
			if (object == SplashWindow.this)
				SplashWindow_WindowClosing(event);
		}
	}

	void SplashWindow_WindowClosing(java.awt.event.WindowEvent event)
	{
		// Hide the Frame
		setVisible(false);
		
		// Free the system resources
		dispose();
	}
}