///////////////////////////////////////////////////////////////////////////////
//
// Filename: DateBase.java
//
// Author:   Robert Thornburrow
// Project:  FamilyTree
// Created:  20th May 2001
//
// Purpose:  Base class for Date representations.
//
// (c) Copyright R.H.Thornburrow, 2001
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
//
///////////////////////////////////////////////////////////////////////////////

package com.tsac.familytree.util;

public abstract class DateBase
{
    public static int difference( DateBase start, DateBase end )
    {
        if( (start instanceof AbsoluteDate) && (end instanceof AbsoluteDate) )
            return DateUtil.difference( ((AbsoluteDate) start).getDate(), ((AbsoluteDate) end).getDate() );
            
        return (end.getYear() - start.getYear());
    }
    
    public abstract String toString();
    
    public abstract int getYear();
}